> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Close a the books

> Close a the books

### Request body

`CloseBooksRequest`

<ParamField body="inventory" type="CloseBooksInventoryRequest[]" />

<ParamField body="lines" type="CloseBooksLineRequest[]" />

### Responses

<ResponseField name="200" type="CloseBooksResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/reports/close-the-books' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "inventory": [
      {
        "quantity": "string",
        "sku": "string",
        "valuation": "string"
      }
    ],
    "lines": [
      {
        "cost": "string",
        "sku": "string"
      }
    ]
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "is_ready": true,
    "zero_cost_count": 1,
    "zero_cost_skus": [
      "string"
    ],
    "zero_valuation_count": 1,
    "zero_valuation_items": [
      {
        "quantity": "string",
        "sku": "string"
      }
    ]
  }
  ```
</ResponseExample>
